<?php
// -- gs settings
$thisfile = basename(__FILE__, '.php');
add_action( 'settings-sidebar','createSideMenu',array( $thisfile, 'File Editor' ) );

register_plugin(
	$thisfile, 									
	'File Editor',									
	'1.1.1', 										
	'Nico Hemkes', 								
	'http://www.nokes.de/', 					
	'A simple .htaccess and robots.txt file editor. Edited by opiums', 
	'settings',									
	'file_editor_window'							
);

// -- file_editor window
function file_editor_window(){
	// -- file paths
	$path_htaccess		= GSROOTPATH . '.htaccess';
	$path_robots		= GSROOTPATH . 'robots.txt';
	// -- check .htaccess
	if(file_exists($path_htaccess)){
		// -- if send then write
		if(isset($_POST['send_options']) && $_POST['send_options'] == 1){
			file_put_contents($path_htaccess, $_POST['htaccess']);			
		}
		// -- read htaccess
		$htaccess_content = file_get_contents($path_htaccess);
	}else{
		// -- if htaccess not exists then error
		$warning_htaccess = '<strong>ERROR:</strong> .htaccess не найден!';
	}
	// -- check robots.txt
	if(file_exists($path_robots)){
		// -- if send then write
		if(isset($_POST['send_options']) && $_POST['send_options'] == 1){
			file_put_contents($path_robots, $_POST['robots']);
		}
		// -- rad robots.txt
		$robots_content = file_get_contents($path_robots);
	}else{
		// -- if robots.txt not exists then error
		$warning_robots = '<strong>ERROR:</strong> robots.txt не найден!';	
	}
	// -- no F5 reload
	if(isset($_POST['send_options']) && $_POST['send_options'] == 1){
		// var_dump($_POST); // var_dump(getallheaders());
		echo 'Загрузка...';
		echo '<meta http-equiv="refresh" content="0;URL=load.php?id=nokes_fileeditor&save=1" />';
		//header( 'Refresh: 1; url=load.php?id=nokes_fileeditor&save=1' );
		exit();
	}
	// -- html start
	?>
	<h3>File Editor</h3>
	<?php
	if(isset($_GET['save']) && $_GET['save'] == 1){
	?>
	<div class="updated">
		<p>Ваши изменения были сохранены.</p>
	</div>
	<?php
	}
	?>
	<form method="post" action="<?php echo basename($_SERVER['REQUEST_URI']); ?>" >
	<div id="metadata_window">
		<?php
		// -- if htaccess not exists
		if(!empty($warning_htaccess)){
			echo $warning_htaccess;
		}else{
		?>
			<label for="code">.htaccess</label>
			<textarea name="htaccess" style="height: 200px; font-size: 12px;" ><?php echo $htaccess_content; ?></textarea>
			<br/>
			<br/>
		<?php
		}
		// -- if robots.txt not exists
		if(!empty($warning_robots)){
			echo $warning_robots;
		}else{
		?>
			<label for="code">robots.txt</label>
			<textarea name="robots" style="height: 200px; font-size: 12px;" ><?php echo $robots_content; ?></textarea>
			<br/>
			<br/>
		<?php
		}
		?>
		<input class="submit" type="submit" value="Обновить" />			
		<input type="hidden" name="send_options" value="1" />		
	</div>
	</form>
<?php
} // -- end function file_editor_window
?>